# -*- encoding:utf-8 -*-
class SalesInvoice < ActiveRecord::Base
  has_many :si_details
  has_many :si_banks
  has_many :our_banks, :through => :si_banks
  belongs_to :partner
  belongs_to :division # 所管部門
  belongs_to :currency
  
  # @override
  def validate
    errors.add_to_base('明細が1行もありません。') if si_details.empty?
  end
end
